Skip to content

List actions

get/list-actions/{chatbotId}
Any key

Retrieves all configured actions for the specified chatbot.

Path parameters

Required
chatbotIdstring
The unique identifier allocated to the chatbot.
Try it · GET /list-actions/{chatbotId}
curl 'https://api.chat-data.com/api/v2/list-actions/6650f1c2a9e4b83d2c7a1f05' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY"
Loading…

Responses

Successfully retrieved actions.

Content type: application/json

FieldDescription
statusstringOne of: success.
actionsarray of objectThe chatbot's configured actions.
actions[].namestringThe name of the action. Only letters, numbers, underscores and hyphens are allowed.
actions[].descriptionstringDescription of when to trigger the action.
actions[].typestringThe type of action. Besides api, search, lead and button, actions created in the dashboard can have other types, such as scrape, document, order_tracking, appointment-ui, mcp or workflow_action.
actions[].urlstringFor API actions, the URL to call. Use {name} placeholders for path parameters.
actions[].methodstringFor API actions, the HTTP method. One of: GET, POST, PUT, PATCH, DELETE.
actions[].headersarray of objectFor API actions, the HTTP headers of the request.
actions[].headers[].namestringThe name of the header.
actions[].headers[].valuestringThe value of the header.
actions[].pathParamsarray of objectFor API actions, the URL path parameters.
actions[].pathParams[].namestringThe name of the parameter.
actions[].pathParams[].typestringThe data type of the parameter. One of: string, number, boolean, array, object.
actions[].pathParams[].descriptionstringDescription of the parameter.
actions[].pathParams[].requiredbooleanWhether this parameter is required.
actions[].pathParams[].staticbooleanIndicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot.
actions[].pathParams[].examplestringStringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable.
actions[].pathParams[].itemsobjectFor array types, describes the array items.
actions[].pathParams[].items.namestringThe name of the property.
actions[].pathParams[].items.typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].pathParams[].items.descriptionstringDescription of the property.
actions[].pathParams[].items.requiredbooleanWhether this property is required.
actions[].pathParams[].items.itemsobject
actions[].pathParams[].items.propertiesarray of objectFor object types, describes the object's properties.
actions[].pathParams[].propertiesarray of objectFor object types, describes the object's properties.
actions[].pathParams[].properties[].namestringThe name of the property.
actions[].pathParams[].properties[].typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].pathParams[].properties[].descriptionstringDescription of the property.
actions[].pathParams[].properties[].requiredbooleanWhether this property is required.
actions[].pathParams[].properties[].itemsobject
actions[].pathParams[].properties[].propertiesarray of objectFor object types, describes the object's properties.
actions[].queryParamsarray of objectFor API actions, the URL query parameters.
actions[].queryParams[].namestringThe name of the parameter.
actions[].queryParams[].typestringThe data type of the parameter. One of: string, number, boolean, array, object.
actions[].queryParams[].descriptionstringDescription of the parameter.
actions[].queryParams[].requiredbooleanWhether this parameter is required.
actions[].queryParams[].staticbooleanIndicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot.
actions[].queryParams[].examplestringStringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable.
actions[].queryParams[].itemsobjectFor array types, describes the array items.
actions[].queryParams[].items.namestringThe name of the property.
actions[].queryParams[].items.typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].queryParams[].items.descriptionstringDescription of the property.
actions[].queryParams[].items.requiredbooleanWhether this property is required.
actions[].queryParams[].items.itemsobject
actions[].queryParams[].items.propertiesarray of objectFor object types, describes the object's properties.
actions[].queryParams[].propertiesarray of objectFor object types, describes the object's properties.
actions[].queryParams[].properties[].namestringThe name of the property.
actions[].queryParams[].properties[].typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].queryParams[].properties[].descriptionstringDescription of the property.
actions[].queryParams[].properties[].requiredbooleanWhether this property is required.
actions[].queryParams[].properties[].itemsobject
actions[].queryParams[].properties[].propertiesarray of objectFor object types, describes the object's properties.
actions[].bodyParamsarray of objectFor API actions, the request body parameters.
actions[].bodyParams[].namestringThe name of the parameter.
actions[].bodyParams[].typestringThe data type of the parameter. One of: string, number, boolean, array, object.
actions[].bodyParams[].descriptionstringDescription of the parameter.
actions[].bodyParams[].requiredbooleanWhether this parameter is required.
actions[].bodyParams[].staticbooleanIndicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot.
actions[].bodyParams[].examplestringStringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable.
actions[].bodyParams[].itemsobjectFor array types, describes the array items.
actions[].bodyParams[].items.namestringThe name of the property.
actions[].bodyParams[].items.typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].bodyParams[].items.descriptionstringDescription of the property.
actions[].bodyParams[].items.requiredbooleanWhether this property is required.
actions[].bodyParams[].items.itemsobject
actions[].bodyParams[].items.propertiesarray of objectFor object types, describes the object's properties.
actions[].bodyParams[].propertiesarray of objectFor object types, describes the object's properties.
actions[].bodyParams[].properties[].namestringThe name of the property.
actions[].bodyParams[].properties[].typestringThe data type of the property. One of: string, number, boolean, array, object.
actions[].bodyParams[].properties[].descriptionstringDescription of the property.
actions[].bodyParams[].properties[].requiredbooleanWhether this property is required.
actions[].bodyParams[].properties[].itemsobject
actions[].bodyParams[].properties[].propertiesarray of objectFor object types, describes the object's properties.
actions[].includeImagesbooleanFor search actions, whether to include images in the results. Defaults to true.
actions[].prioritizeRecentResultsbooleanFor search actions, whether to prioritize recent results.
actions[].enableDateRestrictionbooleanFor search actions, whether to enable the date restriction.
actions[].includedDomainsarray of stringFor search actions, the domains to restrict the web search to, as full URLs (for example https://www.example.com). Leave empty to search all domains.
actions[].linkstringFor button actions, the link the button opens. Required for button actions.
actions[].labelstringFor button actions, the button label. Required for button actions.
actions[].enabledbooleanWhether the action is enabled. New actions are enabled unless this is false.
actions[].indexintegerThe position of the action in the chatbot's action list (0-based).
actions[].return_filebooleanWhether the action returns a file.

Example

{  "status": "success",  "actions": [    {      "index": 0,      "name": "stockPriceLookup",      "description": "The user wants to know the current stock price of a company",      "type": "api",      "url": "https://api.example.com/stocks/{symbol}/price",      "method": "GET",      "headers": [        {          "name": "Authorization",          "value": "Bearer stk_live_3f9a2c7d1e"        }      ],      "pathParams": [        {          "name": "symbol",          "type": "string",          "description": "The stock ticker symbol to look up.",          "required": true,          "example": "AAPL"        }      ],      "return_file": false    }  ]}

Last updated October 14, 2026